net.corda.client.mock

## Class Generator.Companion

- net.corda.client.mock.Generator.Companion

- Enclosing class:
    Generator<A>

      public static class Generator.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A> Generator<A>` | `choice(java.util.List<? extends net.corda.client.mock.Generator<? extends A>> generators)`
    `<A> Generator<A>` | `fail(java.lang.Exception error)`
    `<A> Generator<A>` | `frequency(java.util.List<? extends kotlin.Pair<java.lang.Double,? extends net.corda.client.mock.Generator<? extends A>>> generators)`
    `<A> Generator<A>` | `impure(kotlin.jvm.functions.Function0<? extends A> valueClosure)`
    `<A> Generator<A>` | `pure(A value)`
    `<A> Generator<java.util.List>` | `sequence(java.util.List<? extends net.corda.client.mock.Generator<? extends A>> generators)`
    `<A> Generator<A>` | `success(kotlin.jvm.functions.Function1<? super java.util.SplittableRandom,? extends A> generate)`

- - ### Method Detail

    - #### pure

          public <A> Generator<A> pure(A value)

    - #### impure

          public <A> Generator<A> impure(kotlin.jvm.functions.Function0<? extends A> valueClosure)

    - #### fail

          public <A> Generator<A> fail(java.lang.Exception error)

    - #### choice

          public <A> Generator<A> choice(java.util.List<? extends net.corda.client.mock.Generator<? extends A>> generators)

    - #### success

          public <A> Generator<A> success(kotlin.jvm.functions.Function1<? super java.util.SplittableRandom,? extends A> generate)

    - #### frequency

          public <A> Generator<A> frequency(java.util.List<? extends kotlin.Pair<java.lang.Double,? extends net.corda.client.mock.Generator<? extends A>>> generators)

    - #### sequence

          public <A> Generator<java.util.List> sequence(java.util.List<? extends net.corda.client.mock.Generator<? extends A>> generators)